Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults.issues
Class Issue0303TestCase.SwallowingComponentMonitor

    java.lang.Object
      org.picocontainer.monitors.NullComponentMonitor
          org.picocontainer.defaults.issues.Issue0303TestCase.SwallowingComponentMonitor

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentMonitor

Enclosing class:
  Issue0303TestCase

    public static class Issue0303TestCase.SwallowingComponentMonitor

extends org.picocontainer.monitors.NullComponentMonitor

See Also:
  Serialized Form

Constructor Summary
`Issue0303TestCase.SwallowingComponentMonitor()`

Method Summary
`void` | `lifecycleInvocationFailed(org.picocontainer.MutablePicoContainer container, org.picocontainer.ComponentAdapter<?> componentAdapter, Method method, Object instance, RuntimeException cause)`

Methods inherited from class org.picocontainer.monitors.NullComponentMonitor
`instantiated, instantiating, instantiationFailed, invocationFailed, invoked, invoking, newBehavior, newInjector, noComponentFound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Issue0303TestCase.SwallowingComponentMonitor

    public Issue0303TestCase.SwallowingComponentMonitor()

Method Detail

### lifecycleInvocationFailed

    public void lifecycleInvocationFailed(org.picocontainer.MutablePicoContainer container,
                                          org.picocontainer.ComponentAdapter<?> componentAdapter,
                                          Method method,
                                          Object instance,
                                          RuntimeException cause)

  Specified by:
    `lifecycleInvocationFailed` in interface `org.picocontainer.ComponentMonitor`
  Overrides:
    `lifecycleInvocationFailed` in class `org.picocontainer.monitors.NullComponentMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.